(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7103,        200]
NotebookOptionsPosition[      6525,        174]
NotebookOutlinePosition[      6861,        189]
CellTagsIndexPosition[      6818,        186]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["ECG Plotting", "Title",
 CellChangeTimes->{{3.4762168701737003`*^9, 3.47621688210742*^9}}],

Cell[CellGroupData[{

Cell["Import Data", "Section",
 CellChangeTimes->{{3.4762168857475986`*^9, 3.476216887334408*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Import", "[", "\"\</home/jonah/tmp/ecg_data.csv\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.476216888834023*^9, 3.476216923456369*^9}, {
  3.476216987442793*^9, 3.4762170004249897`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Animation", "Section",
 CellChangeTimes->{{3.476217585558731*^9, 3.4762175882302027`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", ".004", "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", 
             RowBox[{"data", "\[LeftDoubleBracket]", 
              RowBox[{"t", ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", "3"}], "}"}]}], "\[RightDoubleBracket]"}]}],
             "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<t = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"data", "\[LeftDoubleBracket]", 
               RowBox[{"t", ",", "1"}], "\[RightDoubleBracket]"}], "]"}], 
             "<>", "\"\<\\nx = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"data", "\[LeftDoubleBracket]", 
               RowBox[{"t", ",", "2"}], "\[RightDoubleBracket]"}], "]"}], 
             "<>", "\"\<\\ny = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"data", "\[LeftDoubleBracket]", 
               RowBox[{"t", ",", "3"}], "\[RightDoubleBracket]"}], "]"}]}], 
            ",", 
            RowBox[{"FontFamily", "\[Rule]", "\"\<Courier\>\""}], ",", 
            RowBox[{"TextAlignment", "\[Rule]", "Left"}], ",", "Bold"}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.5"}], ",", 
            RowBox[{"-", "1.5"}]}], "}"}]}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "1", ",", "\"\<Time\>\""}], "}"}], ",", "1", ",", 
     RowBox[{"Length", "[", "data", "]"}], ",", "1"}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.47621832762816*^9, 3.4762183500464163`*^9}, {
   3.476218481290399*^9, 3.476218517347295*^9}, {3.476218558455092*^9, 
   3.4762186144791327`*^9}, {3.4762186658680153`*^9, 3.476218691796468*^9}, {
   3.4762187445479727`*^9, 3.476218828628976*^9}, {3.476218922589348*^9, 
   3.476218978355*^9}, 3.4762194178044157`*^9, {3.476219456976844*^9, 
   3.47621946427073*^9}, {3.4762195323812637`*^9, 3.476219553469471*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`t$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`t$$], 1, "Time"}, 1, 1001, 1}}, Typeset`size$$ = {
    360., {180., 184.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`t$3623$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`t$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`t$$, $CellContext`t$3623$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{{
           Thickness[0.004], 
           Arrow[{{0, 0}, 
             Part[$CellContext`data, $CellContext`t$$, {2, 3}]}]}, 
          Text[
           Style[
            StringJoin["t = ", 
             ToString[
              Part[$CellContext`data, $CellContext`t$$, 1]], "\nx = ", 
             ToString[
              Part[$CellContext`data, $CellContext`t$$, 2]], "\ny = ", 
             ToString[
              Part[$CellContext`data, $CellContext`t$$, 3]]], FontFamily -> 
            "Courier", TextAlignment -> Left, Bold], {-1.5, -1.5}]}], 
        PlotRange -> {{-2, 2}, {-2, 2}}, Axes -> True], 
      "Specifications" :> {{{$CellContext`t$$, 1, "Time"}, 1, 1001, 1, 
         AnimationRunning -> False, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{405., {215., 220.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.4762194648269787`*^9, {3.476219496581925*^9, 3.476219574125581*^9}, 
   3.4762196419662724`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1366, 749},
WindowMargins->{{0, Automatic}, {0, Automatic}},
FrontEndVersion->"7.0 for Linux x86 (64-bit) (February 25, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 96, 1, 85, "Title"],
Cell[CellGroupData[{
Cell[688, 27, 98, 1, 73, "Section"],
Cell[789, 30, 259, 6, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1085, 41, 96, 1, 73, "Section"],
Cell[CellGroupData[{
Cell[1206, 46, 2769, 66, 132, InheritFromParent],
Cell[3978, 114, 2507, 55, 452, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
